
package net.mcreator.cheese.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.SwordItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.cheese.init.CheeseModItems;

import java.util.List;

public class CheeseSwordItem extends SwordItem {
	public CheeseSwordItem() {
		super(new Tier() {
			public int getUses() {
				return 250;
			}

			public float getSpeed() {
				return 0.5f;
			}

			public float getAttackDamageBonus() {
				return 4f;
			}

			public int getLevel() {
				return 0;
			}

			public int getEnchantmentValue() {
				return 11;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(CheeseModItems.CHEESE_INGOT.get()), new ItemStack(CheeseModItems.CHEDDAR_CHEESE.get()),
						new ItemStack(CheeseModItems.SWISS_CHEESE.get()), new ItemStack(CheeseModItems.BLUE_CHEESE.get()),
						new ItemStack(CheeseModItems.GOUDA.get()));
			}
		}, 3, -3f, new Item.Properties().tab(CreativeModeTab.TAB_COMBAT));
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("A sword forged from cheese. Neat!"));
	}
}
