
package net.mcreator.cheese.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.UseAnim;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Rarity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.cheese.init.CheeseModTabs;

import java.util.List;

public class CTCGVampireItem extends Item {
	public CTCGVampireItem() {
		super(new Item.Properties().tab(CheeseModTabs.TAB_CTCG_CARDS).stacksTo(4).rarity(Rarity.RARE));
	}

	@Override
	public UseAnim getUseAnimation(ItemStack itemstack) {
		return UseAnim.EAT;
	}

	@Override
	public int getUseDuration(ItemStack itemstack) {
		return 0;
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("2/2/4"));
		list.add(new TextComponent("Spend 2 cheese tokens. Target player loses 2 life, you gain 2 life."));
		list.add(new TextComponent("Can only be aquired via trading."));
	}
}
